/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.hipparchus.stat.descriptive.moment;

import org.hipparchus.stat.descriptive.StorelessUnivariateStatisticAbstractTest;
import org.junit.Test;

/**
 * Test cases for the {@link FourthMoment} class.
 */
public class FourthMomentTest extends StorelessUnivariateStatisticAbstractTest{

    @Override
    public FourthMoment getUnivariateStatistic() {
        return new FourthMoment();
    }

    @Override
    public double expectedValue() {
       return this.fourthMoment;
    }

    /**
     * Test not supported for fourth moment.
     */
    @Override
    @Test
    public <T> void testAggregate() {}

}
